import request from '@/utils/request'

// 查询用户设置列表
export function listSet(query) {
  return request({
    url: '/system/set/list',
    method: 'get',
    params: query
  })
}

// 查询用户设置详细
export function getSet(userId) {
  return request({
    url: '/system/set/' + userId,
    method: 'get'
  })
}

// 新增用户设置
export function addSet(data) {
  return request({
    url: '/system/set',
    method: 'post',
    data: data
  })
}

// 修改用户设置
export function updateSet(data) {
  return request({
    url: '/system/set',
    method: 'put',
    data: data
  })
}

// 删除用户设置
export function delSet(userId) {
  return request({
    url: '/system/set/' + userId,
    method: 'delete'
  })
}

// 导出用户设置
export function exportSet(query) {
  return request({
    url: '/system/set/export',
    method: 'get',
    params: query
  })
}